xine-lib: demux_ts_media Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
demux_ts_media Struct Reference

## Data Fields
unsigned int | pid
uint32_t | type
int64_t | pts
fifo_buffer_t * | fifo
buf_element_t * | buf
uint32_t | audio_type
uint32_t | video_type
uint32_t | spu_type
uint32_t | hdmv_type
uint32_t | sure_type
unsigned int | counter
uint16_t | descriptor_tag
uint8_t | keep
uint8_t | resume
int | corrupted_pes
int | pes_bytes_left
int | input_normpos
int | input_time

## Field Documentation

## ◆ audio_type

uint32_t demux_ts_media::audio_type

Referenced by demux_ts_dynamic_pmt_find(), and demux_ts_parse_pes_header().

## ◆ buf

buf_element_t* demux_ts_media::buf

Referenced by demux_ts_buffer_pes(), demux_ts_dynamic_pmt_clean(), demux_ts_dynamic_pmt_find(), demux_ts_parse_pes_header(), demux_ts_seek(), and demux_ts_send_buffer().

## ◆ corrupted_pes

int demux_ts_media::corrupted_pes

Referenced by demux_ts_buffer_pes(), demux_ts_dynamic_pmt_find(), and demux_ts_seek().

## ◆ counter

unsigned int demux_ts_media::counter

Referenced by demux_ts_buffer_pes(), demux_ts_dynamic_pmt_find(), and demux_ts_seek().

## ◆ descriptor_tag

uint16_t demux_ts_media::descriptor_tag

Referenced by demux_ts_dynamic_pmt_find(), and demux_ts_parse_pes_header().

## ◆ fifo

fifo_buffer_t* demux_ts_media::fifo

Referenced by demux_ts_buffer_pes(), demux_ts_dynamic_pmt_find(), demux_ts_parse_pes_header(), and demux_ts_send_buffer().

## ◆ hdmv_type

uint32_t demux_ts_media::hdmv_type

Referenced by demux_ts_dynamic_pmt_find(), and demux_ts_parse_pes_header().

## ◆ input_normpos

int demux_ts_media::input_normpos

Referenced by demux_ts_send_buffer(), and update_extra_info().

## ◆ input_time

int demux_ts_media::input_time

Referenced by demux_ts_send_buffer(), and update_extra_info().

## ◆ keep

uint8_t demux_ts_media::keep

Referenced by demux_ts_dynamic_pmt_clean(), and demux_ts_dynamic_pmt_find().

## ◆ pes_bytes_left

int demux_ts_media::pes_bytes_left

Referenced by demux_ts_buffer_pes(), and demux_ts_parse_pes_header().

## ◆ pid

unsigned int demux_ts_media::pid

Referenced by demux_ts_buffer_pes(), demux_ts_dynamic_pmt_clean(), demux_ts_dynamic_pmt_find(), and demux_ts_parse_pes_header().

## ◆ pts

int64_t demux_ts_media::pts

Referenced by demux_ts_buffer_pes(), demux_ts_dynamic_pmt_find(), demux_ts_parse_pes_header(), demux_ts_seek(), demux_ts_send_buffer(), and update_extra_info().

## ◆ resume

uint8_t demux_ts_media::resume

Referenced by demux_ts_buffer_pes(), demux_ts_dynamic_pmt_find(), demux_ts_flush_media(), demux_ts_parse_pes_header(), and demux_ts_seek().

## ◆ spu_type

uint32_t demux_ts_media::spu_type

Referenced by demux_ts_dynamic_pmt_find().

## ◆ sure_type

uint32_t demux_ts_media::sure_type

Referenced by demux_ts_dynamic_pmt_find(), and demux_ts_parse_pes_header().

## ◆ type

uint32_t demux_ts_media::type

Referenced by demux_ts_buffer_pes(), demux_ts_dynamic_pmt_clean(), demux_ts_dynamic_pmt_find(), demux_ts_parse_pes_header(), and demux_ts_send_buffer().

## ◆ video_type

uint32_t demux_ts_media::video_type

Referenced by demux_ts_dynamic_pmt_find(), and demux_ts_parse_pes_header().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/demuxers/demux_ts.c